--- ./gtk/gtkbutton.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtkbutton.c	2025-09-17 23:01:52.893167121 -0500
@@ -2165,4 +2165,25 @@
 
   priv = button->priv;
+  if (priv->image == NULL)
+    {
+      gchar *use_this_icon = NULL;
+      if (g_strcmp0 (label, _("_Select")) == 0 || g_strcmp0 (label, _("_OK")) == 0)  use_this_icon = "gtk-ok";
+      else if (g_strcmp0 (label, _("_Cancel")) == 0)  use_this_icon = "gtk-cancel";
+      else if (g_strcmp0 (label, _("_Close")) == 0)   use_this_icon = "gtk-close";
+      else if (g_strcmp0 (label, _("_Yes")) == 0)     use_this_icon = "gtk-yes";
+      else if (g_strcmp0 (label, _("_No")) == 0)      use_this_icon = "gtk-no";
+      else if (g_strcmp0 (label, _("_Print")) == 0)   use_this_icon = "document-print";
+      else if (g_strcmp0 (label, _("Pre_view")) == 0) use_this_icon = "document-print-preview";
+      else if (g_strcmp0 (label, _("_Open")) == 0)    use_this_icon = "document-open";
+      else if (g_strcmp0 (label, _("_Save")) == 0)    use_this_icon = "document-save";
+      else if (g_strcmp0 (label, _("_Apply")) == 0)   use_this_icon = "gtk-apply";
+      else if (g_strcmp0 (label, _("_Stop")) == 0)    use_this_icon = "gtk-stop";
+      else if (g_strcmp0 (label, _("_Delete")) == 0)  use_this_icon = "edit-delete";
+      else if (g_strcmp0 (label, _("_Remove")) == 0)  use_this_icon = "list-remove";
+      else if (g_strcmp0 (label, _("_Add")) == 0)     use_this_icon = "list-add";
+      else if (g_strcmp0 (label, _("_Help")) == 0)    use_this_icon = "help-contents";
+      if (use_this_icon)
+        g_object_set (button, "image", gtk_image_new_from_icon_name (use_this_icon, GTK_ICON_SIZE_BUTTON), NULL);
+    }
 
   new_label = g_strdup (label);
--- ./gtk/gtkdialog.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtkdialog.c	2025-09-17 23:01:52.894167121 -0500
@@ -702,10 +702,10 @@
   /* don't set spacing when buttons are linked */
   if (gtk_button_box_get_layout (GTK_BUTTON_BOX (priv->action_area)) != GTK_BUTTONBOX_EXPAND)
-    gtk_box_set_spacing (GTK_BOX (priv->action_area), button_spacing);
+    gtk_box_set_spacing (GTK_BOX (priv->action_area), (button_spacing == 0) ? 6 : button_spacing);
 
   if (!_gtk_container_get_border_width_set (GTK_CONTAINER (priv->action_area)))
     {
       gtk_container_set_border_width (GTK_CONTAINER (priv->action_area),
-                                      action_area_border);
+                                      (action_area_border == 0) ? 5 : action_area_border);
       _gtk_container_set_border_width_set (GTK_CONTAINER (priv->action_area), FALSE);
     }
--- ./gtk/gtkentry.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtkentry.c	2025-09-17 23:01:52.897167121 -0500
@@ -252,4 +252,7 @@
   gint64        handle_place_time;
 
+  gint          last_selection_start;
+  gint          last_selection_end;
+
   guint         shadow_type             : 4;
   guint         editable                : 1;
@@ -7405,9 +7408,10 @@
 {
   GtkEntry *entry = GTK_ENTRY (data);
-  gint start, end;
-  
-  if (gtk_editable_get_selection_bounds (GTK_EDITABLE (entry), &start, &end))
+  GtkEntryPrivate *priv = entry->priv;
+  if (priv->last_selection_start != priv->last_selection_end)
     {
-      gchar *str = _gtk_entry_get_display_text (entry, start, end);
+      gchar *str = _gtk_entry_get_display_text (entry,
+                                                priv->last_selection_start,
+                                                priv->last_selection_end);
       gtk_selection_data_set_text (selection_data, str, -1);
       g_free (str);
@@ -7422,4 +7426,7 @@
   GtkEntryPrivate *priv = entry->priv;
 
+  priv->last_selection_start = 0;
+  priv->last_selection_end = 0;
+
   gtk_editable_select_region (GTK_EDITABLE (entry), priv->current_pos, priv->current_pos);
 }
@@ -7428,4 +7435,5 @@
 gtk_entry_update_primary_selection (GtkEntry *entry)
 {
+  GtkEntryPrivate *priv = entry->priv;
   GtkTargetList *list;
   GtkTargetEntry *targets;
@@ -7446,12 +7454,10 @@
   if (gtk_editable_get_selection_bounds (GTK_EDITABLE (entry), &start, &end))
     {
+      priv->last_selection_start = start;
+      priv->last_selection_end = end;
+
       gtk_clipboard_set_with_owner (clipboard, targets, n_targets,
                                     primary_get_cb, primary_clear_cb, G_OBJECT (entry));
     }
-  else
-    {
-      if (gtk_clipboard_get_owner (clipboard) == G_OBJECT (entry))
-	gtk_clipboard_clear (clipboard);
-    }
 
   gtk_target_table_free (targets, n_targets);
--- ./gtk/gtkfilechooserwidget.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtkfilechooserwidget.c	2025-09-17 23:01:52.899167121 -0500
@@ -81,4 +81,5 @@
 #include "gtkmodelbutton.h"
 #include "gtkgesturelongpress.h"
+#include "gtkcssprovider.h"
 
 #include <cairo-gobject.h>
@@ -8835,4 +8836,14 @@
 
   add_actions (impl);
+  static gboolean style_added = FALSE;
+  if (!style_added)
+    {
+      style_added = TRUE;
+      GtkCssProvider *provider = gtk_css_provider_new ();
+      gtk_css_provider_load_from_data (provider,
+        "filechooser .sidebar-icon, filechooser .path-bar, filechooser .path-bar + button { opacity: 1; -gtk-icon-style: regular; }", -1, NULL);
+      gtk_style_context_add_provider_for_screen (gtk_widget_get_screen (GTK_WIDGET (impl)),
+        GTK_STYLE_PROVIDER (provider), GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
+    }
 }
 
--- ./gtk/gtklabel.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtklabel.c	2025-09-17 23:01:52.902167121 -0500
@@ -268,4 +268,7 @@
   gfloat   yalign;
 
+  gint     last_selection_anchor;
+  gint     last_selection_end;
+
   guint    mnemonics_visible  : 1;
   guint    jtype              : 2;
@@ -3687,4 +3690,12 @@
   PangoLayout *layout;
   gint char_pixels;
+  GtkWidget *toplevel = gtk_widget_get_toplevel (GTK_WIDGET (label));
+  if (GTK_IS_WINDOW (toplevel))
+    {
+      gint default_window_width;
+      gtk_window_get_default_size (GTK_WINDOW (toplevel), &default_window_width, NULL);
+      if (default_window_width == -1 && priv->max_width_chars == -1 && priv->ellipsize == PANGO_ELLIPSIZE_NONE)
+        priv->max_width_chars = 56;
+    }
 
   /* "width-chars" Hard-coded minimum width:
@@ -5673,7 +5684,11 @@
 
 static void
-gtk_label_set_selection_text (GtkLabel         *label,
-			      GtkSelectionData *selection_data)
+gtk_label_drag_data_get (GtkWidget        *widget,
+			 GdkDragContext   *context,
+			 GtkSelectionData *selection_data,
+			 guint             info,
+			 guint             time)
 {
+  GtkLabel *label = GTK_LABEL (widget);
   GtkLabelPrivate *priv = label->priv;
 
@@ -5706,14 +5721,4 @@
 
 static void
-gtk_label_drag_data_get (GtkWidget        *widget,
-			 GdkDragContext   *context,
-			 GtkSelectionData *selection_data,
-			 guint             info,
-			 guint             time)
-{
-  gtk_label_set_selection_text (GTK_LABEL (widget), selection_data);
-}
-
-static void
 get_text_callback (GtkClipboard     *clipboard,
                    GtkSelectionData *selection_data,
@@ -5721,5 +5726,33 @@
                    gpointer          user_data_or_owner)
 {
-  gtk_label_set_selection_text (GTK_LABEL (user_data_or_owner), selection_data);
+  GtkLabel *label;
+  GtkLabelPrivate *priv;
+
+  label = GTK_LABEL (user_data_or_owner);
+  priv = label->priv;
+
+  if ((priv->last_selection_anchor != priv->last_selection_end) &&
+      priv->text)
+    {
+      gint start, end;
+      gint len;
+
+      start = MIN (priv->last_selection_anchor,
+                   priv->last_selection_end);
+      end = MAX (priv->last_selection_anchor,
+                 priv->last_selection_end);
+
+      len = strlen (priv->text);
+
+      if (end > len)
+        end = len;
+
+      if (start > len)
+        start = len;
+
+      gtk_selection_data_set_text (selection_data,
+				   priv->text + start,
+				   end - start);
+    }
 }
 
@@ -5734,4 +5767,7 @@
   priv = label->priv;
 
+  priv->last_selection_anchor = 0;
+  priv->last_selection_end = 0;
+
   if (priv->select_info)
     {
@@ -5837,4 +5873,7 @@
           gint n_targets;
 
+          priv->last_selection_anchor = anchor_index;
+          priv->last_selection_end = end_index;
+
           list = gtk_target_list_new (NULL, 0);
           gtk_target_list_add_text_targets (list, 0);
@@ -5865,8 +5904,4 @@
       else
         {
-          if (clipboard &&
-              gtk_clipboard_get_owner (clipboard) == G_OBJECT (label))
-            gtk_clipboard_clear (clipboard);
-
           if (priv->select_info->selection_node)
             {
--- ./gtk/gtkmenu.c.orig	2025-09-17 23:01:52.916167121 -0500
+++ ./gtk/gtkmenu.c	2025-09-17 23:04:44.049163064 -0500
@@ -1397,4 +1397,12 @@
                   GtkMenu            *menu)
 {
+  if (GTK_IS_MENU_ITEM (menu->priv->widget) && GTK_IS_MENU_BAR (gtk_widget_get_parent (menu->priv->widget))
+      && flipped_rect != NULL && final_rect != NULL && !flipped_y && flipped_rect->y > final_rect->y)
+    {
+      gint new_height = final_rect->height - (flipped_rect->y - final_rect->y);
+      if (new_height > 200)
+        gdk_window_move_resize (window, final_rect->x, flipped_rect->y, final_rect->width, new_height);
+    }
+
   GtkMenuPrivate *priv = menu->priv;
 
--- ./gtk/gtkmenuitem.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtkmenuitem.c	2025-09-17 23:01:52.903167121 -0500
@@ -1013,4 +1013,18 @@
 gtk_menu_item_new_with_mnemonic (const gchar *label)
 {
+  gchar *use_this_icon = NULL;
+  if (g_strcmp0 (label, _("Copy _Link Address")) == 0 || g_strcmp0 (label, _("_Copy")) == 0
+    || g_strcmp0 (label, _("Copy URL")) == 0)        use_this_icon = "edit-copy";
+  else if (g_strcmp0 (label, _("Cu_t")) == 0)        use_this_icon = "edit-cut";
+  else if (g_strcmp0 (label, _("_Paste")) == 0)      use_this_icon = "edit-paste";
+  else if (g_strcmp0 (label, _("_Delete")) == 0)     use_this_icon = "edit-delete";
+  else if (g_strcmp0 (label, _("Select _All")) == 0) use_this_icon = "edit-select-all";
+  else if (g_strcmp0 (label, _("_Open Link")) == 0)  use_this_icon = "go-jump";
+  if (use_this_icon)
+    return g_object_new (GTK_TYPE_IMAGE_MENU_ITEM,
+                         "use-underline", TRUE,
+                         "label", label,
+                         "image", gtk_image_new_from_icon_name (use_this_icon, GTK_ICON_SIZE_MENU),
+                         NULL);
   return g_object_new (GTK_TYPE_MENU_ITEM,
                        "use-underline", TRUE,
--- ./gtk/gtkmessagedialog.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtkmessagedialog.c	2025-09-17 23:06:14.504160920 -0500
@@ -38,4 +38,5 @@
 #include "gtkprivate.h"
 #include "gtktypebuiltins.h"
+#include "gtkcssprovider.h"
 
 /**
@@ -328,5 +329,15 @@
   action_area = gtk_dialog_get_action_area (GTK_DIALOG (dialog));
 G_GNUC_END_IGNORE_DEPRECATIONS
-  gtk_button_box_set_layout (GTK_BUTTON_BOX (action_area), GTK_BUTTONBOX_EXPAND);
+  static gboolean style_added = FALSE;
+  if (!style_added)
+    {
+      style_added = TRUE;
+      GtkCssProvider *provider = gtk_css_provider_new ();
+      gtk_css_provider_load_from_data (provider,
+        "messagedialog > *, messagedialog buttonbox.dialog-action-area, messagedialog box.dialog-action-box { margin: 0; margin-top: 0; padding: 0; }",
+        -1, NULL);
+      gtk_style_context_add_provider_for_screen (gtk_widget_get_screen (GTK_WIDGET (dialog)),
+        GTK_STYLE_PROVIDER (provider), GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
+    }
 
   settings = gtk_widget_get_settings (GTK_WIDGET (dialog));
@@ -373,4 +384,5 @@
   GtkMessageDialogPrivate *priv = dialog->priv;
   const gchar *name = NULL;
+  const gchar *icon = NULL;
   AtkObject *atk_obj;
 
@@ -406,4 +418,32 @@
     }
 
+  switch (dialog->priv->message_type)
+  {
+  case GTK_MESSAGE_INFO:
+    icon = "dialog-info";
+    break;
+
+  case GTK_MESSAGE_QUESTION:
+    icon = "dialog-question";
+    break;
+
+  case GTK_MESSAGE_WARNING:
+    icon = "dialog-warning";
+    break;
+
+  case GTK_MESSAGE_ERROR:
+    icon = "dialog-error";
+    break;
+
+  case GTK_MESSAGE_OTHER:
+    break;
+  }
+
+  if (icon)
+    {
+      GtkWidget *image = gtk_image_new_from_icon_name (icon, GTK_ICON_SIZE_DIALOG);
+      g_object_set (image, "visible", TRUE, NULL);
+      g_object_set (dialog, "image", image, NULL);
+    }
   atk_obj = gtk_widget_get_accessible (GTK_WIDGET (dialog));
   if (GTK_IS_ACCESSIBLE (atk_obj))
--- ./gtk/gtkprintunixdialog.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtkprintunixdialog.c	2025-09-17 23:01:52.905167121 -0500
@@ -751,4 +751,9 @@
   widget = gtk_dialog_get_widget_for_response (GTK_DIALOG (dialog), GTK_RESPONSE_OK);
   gtk_widget_set_sensitive (widget, FALSE);
+  GtkCssProvider *provider = gtk_css_provider_new ();
+  gtk_css_provider_load_from_data (provider, ".dialog-action-box { margin: 0; }", -1, NULL);
+  GtkStyleContext *context = gtk_widget_get_style_context (gtk_widget_get_parent (gtk_dialog_get_action_area (GTK_DIALOG (dialog))));
+  gtk_style_context_add_provider (context, GTK_STYLE_PROVIDER (provider), GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
+  gtk_style_context_save (context);
 
   /* Treeview auxiliary functions need to be setup here */
--- ./gtk/gtktextbuffer.c.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/gtktextbuffer.c	2025-09-17 23:01:52.907167121 -0500
@@ -73,4 +73,7 @@
   GSList *selection_clipboards;
 
+  GtkTextMark *last_selection_start;
+  GtkTextMark *last_selection_end;
+
   GtkTextLogAttrCache *log_attr_cache;
 
@@ -805,4 +808,16 @@
   priv = buffer->priv;
 
+  if (priv->last_selection_start != NULL)
+    {
+      gtk_text_buffer_delete_mark (buffer, priv->last_selection_start);
+      priv->last_selection_start = NULL;
+    }
+
+  if (priv->last_selection_end != NULL)
+    {
+      gtk_text_buffer_delete_mark (buffer, priv->last_selection_end);
+      priv->last_selection_end = NULL;
+    }
+
   remove_all_selection_clipboards (buffer);
 
@@ -3190,9 +3205,22 @@
                               gpointer      data)
 {
-  /* Move selection_bound to the insertion point */
   GtkTextIter insert;
   GtkTextIter selection_bound;
   GtkTextBuffer *buffer = GTK_TEXT_BUFFER (data);
+  GtkTextBufferPrivate *priv = buffer->priv;
 
+  if (priv->last_selection_start != NULL)
+    {
+      gtk_text_buffer_delete_mark (buffer, priv->last_selection_start);
+      priv->last_selection_start = NULL;
+    }
+
+  if (priv->last_selection_end != NULL)
+    {
+      gtk_text_buffer_delete_mark (buffer, priv->last_selection_end);
+      priv->last_selection_end = NULL;
+    }
+
+  /* Move selection_bound to the insertion point */
   gtk_text_buffer_get_iter_at_mark (buffer, &insert,
                                     gtk_text_buffer_get_insert (buffer));
@@ -3216,7 +3244,14 @@
 {
   GtkTextBuffer *buffer = GTK_TEXT_BUFFER (data);
+  GtkTextBufferPrivate *priv = buffer->priv;
   GtkTextIter start, end;
 
-  if (gtk_text_buffer_get_selection_bounds (buffer, &start, &end))
+  if (priv->last_selection_start == NULL || priv->last_selection_end == NULL)
+    return;
+
+  gtk_text_buffer_get_iter_at_mark (buffer, &start, priv->last_selection_start);
+  gtk_text_buffer_get_iter_at_mark (buffer, &end, priv->last_selection_end);
+
+  if (!gtk_text_iter_equal (&start, &end))
     {
       if (info == GTK_TEXT_BUFFER_TARGET_INFO_BUFFER_CONTENTS)
@@ -3649,5 +3684,13 @@
       else
 	{
-	  if (gtk_text_buffer_get_selection_bounds (src_buffer, &start, &end))
+          GtkTextBufferPrivate *priv = src_buffer->priv;
+
+          if (priv->last_selection_start == NULL || priv->last_selection_end == NULL)
+            return;
+
+          gtk_text_buffer_get_iter_at_mark (src_buffer, &start, priv->last_selection_start);
+          gtk_text_buffer_get_iter_at_mark (src_buffer, &end, priv->last_selection_end);
+
+          if (!gtk_text_iter_equal (&start, &end))
 	    paste_from_buffer (clipboard, request_data, src_buffer,
 			       &start, &end);
@@ -3684,37 +3727,39 @@
 update_selection_clipboards (GtkTextBuffer *buffer)
 {
-  GtkTextBufferPrivate *priv;
   gboolean has_selection;
   GtkTextIter start;
   GtkTextIter end;
-  GSList *tmp_list;
+  GtkTextBufferPrivate *priv = buffer->priv;
+  GSList *l;
 
-  priv = buffer->priv;
+  if (!gtk_text_buffer_get_selection_bounds (buffer, &start, &end))
+    return;
+
+  if (priv->last_selection_start != NULL)
+    gtk_text_buffer_move_mark (buffer, priv->last_selection_start, &start);
+  else
+    priv->last_selection_start = gtk_text_buffer_create_mark (buffer, NULL, &start, FALSE);
+
+  if (priv->last_selection_end != NULL)
+    gtk_text_buffer_move_mark (buffer, priv->last_selection_end, &end);
+  else
+    priv->last_selection_end = gtk_text_buffer_create_mark (buffer, NULL, &end, TRUE);
 
   gtk_text_buffer_get_copy_target_list (buffer);
   has_selection = gtk_text_buffer_get_selection_bounds (buffer, &start, &end);
-  tmp_list = buffer->priv->selection_clipboards;
 
-  while (tmp_list)
+  for (l = priv->selection_clipboards; l != NULL; l = l->next)
     {
-      SelectionClipboard *selection_clipboard = tmp_list->data;
+      SelectionClipboard *selection_clipboard = l->data;
       GtkClipboard *clipboard = selection_clipboard->clipboard;
 
-      if (has_selection)
-        {
-          /* Even if we already have the selection, we need to update our
-           * timestamp.
-           */
-          gtk_clipboard_set_with_owner (clipboard,
-                                        priv->copy_target_entries,
-                                        priv->n_copy_target_entries,
-                                        clipboard_get_selection_cb,
-                                        clipboard_clear_selection_cb,
-                                        G_OBJECT (buffer));
-        }
-      else if (gtk_clipboard_get_owner (clipboard) == G_OBJECT (buffer))
-        gtk_clipboard_clear (clipboard);
-
-      tmp_list = tmp_list->next;
+      /* Even if we already have the selection, we need to update our timestamp. */
+      if (!gtk_clipboard_set_with_owner (clipboard,
+                                         priv->copy_target_entries,
+                                         priv->n_copy_target_entries,
+                                         clipboard_get_selection_cb,
+                                         clipboard_clear_selection_cb,
+                                         G_OBJECT (buffer)))
+        clipboard_clear_selection_cb (clipboard, buffer);
     }
 }
--- ./gtk/gtkwindow.c.orig	2025-09-17 23:01:10.902168116 -0500
+++ ./gtk/gtkwindow.c	2025-09-17 23:01:52.913167121 -0500
@@ -4377,7 +4377,5 @@
 gtk_window_get_decorated (GtkWindow *window)
 {
-  g_return_val_if_fail (GTK_IS_WINDOW (window), TRUE);
-
-  return window->priv->decorated;
+  return FALSE;
 }
 
@@ -8064,5 +8062,5 @@
   GtkWindowPrivate *priv = window->priv;
 
-  if (event->changed_mask & GDK_WINDOW_STATE_FOCUSED)
+  if ((event->changed_mask & GDK_WINDOW_STATE_FOCUSED) && (priv->client_decorated || (g_strcmp0 (g_getenv ("GTK_BACKDROP"), "1") == 0)))
     ensure_state_flag_backdrop (widget);
 
--- ./gtk/ui/gtkmessagedialog.ui.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/ui/gtkmessagedialog.ui	2025-09-17 23:01:52.913167121 -0500
@@ -7,4 +7,5 @@
     <property name="type-hint">dialog</property>
     <property name="skip-taskbar-hint">1</property>
+    <property name="border-width">5</property>
     <child internal-child="headerbar">
       <object class="GtkHeaderBar" id="headerbar1">
@@ -15,21 +16,23 @@
       <object class="GtkBox" id="dialog-vbox1">
         <property name="orientation">vertical</property>
-        <property name="spacing">20</property>
-        <property name="border-width">0</property>
+        <property name="spacing">8</property>
+        <property name="border-width">2</property>
         <child>
           <object class="GtkBox" id="box">
             <property name="visible">1</property>
-            <property name="margin-start">30</property>
-            <property name="margin-end">30</property>
-            <property name="spacing">30</property>
+            <property name="margin-start">2</property>
+            <property name="margin-end">2</property>
+            <property name="spacing">12</property>
+            <property name="border-width">5</property>
             <child>
               <object class="GtkBox" id="message_area">
                 <property name="visible">1</property>
                 <property name="orientation">vertical</property>
-                <property name="spacing">10</property>
+                <property name="spacing">12</property>
                 <child>
                   <object class="GtkLabel" id="label">
                     <property name="visible">1</property>
-                    <property name="halign">center</property>
+                    <property name="halign">start</property>
+                    <property name="xalign">0</property>
                     <property name="valign">start</property>
                     <property name="wrap">1</property>
@@ -44,5 +47,6 @@
                     <property name="no-show-all">1</property>
                     <property name="margin-bottom">2</property>
-                    <property name="halign">center</property>
+                    <property name="halign">start</property>
+                    <property name="xalign">0</property>
                     <property name="valign">start</property>
                     <property name="wrap">1</property>
--- ./gtk/ui/gtkprintunixdialog.ui.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/ui/gtkprintunixdialog.ui	2025-09-17 23:01:52.914167121 -0500
@@ -49,4 +49,5 @@
   </object>
   <template class="GtkPrintUnixDialog" parent="GtkDialog">
+    <property name="border-width">5</property>
     <property name="can-focus">False</property>
     <property name="type-hint">dialog</property>
@@ -57,10 +58,10 @@
         <property name="orientation">vertical</property>
         <property name="spacing">2</property>
-        <property name="border-width">0</property>
+        <property name="border-width">2</property>
         <style>
-          <class name="view"/>
         </style>
         <child>
           <object class="GtkBox" id="box1">
+            <property name="border-width">5</property>
             <property name="visible">1</property>
             <property name="orientation">vertical</property>
@@ -69,5 +70,5 @@
                 <property name="visible">1</property>
                 <property name="can-focus">1</property>
-                <property name="show-border">0</property>
+                <property name="show-border">1</property>
                 <child>
                   <object class="GtkBox" id="general_main_box">
--- ./gtk/ui/gtkstatusbar.ui.orig	2024-07-10 12:03:14.000000000 -0500
+++ ./gtk/ui/gtkstatusbar.ui	2025-09-17 23:01:52.914167121 -0500
@@ -6,6 +6,9 @@
     <property name="margin-start">10</property>
     <property name="margin-end">10</property>
-    <property name="margin-top">6</property>
-    <property name="margin-bottom">6</property>
+    <property name="margin-top">1</property>
+    <property name="margin-bottom">1</property>
+    <style>
+      <class name="classic"/>
+    </style>
     <child>
       <object class="GtkFrame" id="frame">
